Linux yavrix.internet-webhosting.com 3.10.0-962.3.2.lve1.5.88.el7.x86_64 #1 SMP Fri Sep 26 14:06:42 UTC 2025 x86_64
LiteSpeed
Server IP : 103.8.25.136 & Your IP : 216.73.216.129
Domains :
Cant Read [ /etc/named.conf ]
User : celfico1
Terminal
Auto Root
Create File
Create Folder
Localroot Suggester
Backdoor Destroyer
Readme
/
usr /
bin /
Delete
Unzip
Name
Size
Permission
Date
Action
GET
14.71
KB
-rwxr-xr-x
2014-06-10 01:19
Magick-config
1.23
KB
-rwxr-xr-x
2026-04-23 21:21
MagickCore-config
1.24
KB
-rwxr-xr-x
2026-04-23 21:21
MagickWand-config
1.25
KB
-rwxr-xr-x
2026-04-23 21:21
Mail
383.67
KB
-rwxr-xr-x
2018-04-11 07:07
Wand-config
1.23
KB
-rwxr-xr-x
2026-04-23 21:21
[
40.52
KB
-rwxr-xr-x
2020-11-10 17:18
a2p
105.33
KB
-rwxr-xr-x
2026-01-13 14:58
aclocal
35.87
KB
-rwxr-xr-x
2014-06-10 08:03
aclocal-1.13
35.87
KB
-rwxr-xr-x
2014-06-10 08:03
addr2line
28.42
KB
-rwxr-xr-x
2026-04-17 15:11
agentxtrap
19.16
KB
-rwxr-xr-x
2024-01-29 07:00
animate
7.05
KB
-rwxr-xr-x
2026-04-23 21:25
ar
61.21
KB
-rwxr-xr-x
2026-04-17 15:11
arch
32.3
KB
-rwxr-xr-x
2020-11-10 17:18
as
377.28
KB
-rwxr-xr-x
2026-04-17 15:11
aspell
163.35
KB
-rwxr-xr-x
2014-09-11 13:39
at
1.25
KB
-rwxr-xr-x
2022-05-19 06:55
atq
1.25
KB
-rwxr-xr-x
2022-05-19 06:55
atrm
1.25
KB
-rwxr-xr-x
2022-05-19 06:55
autoconf
14.42
KB
-rwxr-xr-x
2014-06-10 05:41
autoheader
8.33
KB
-rwxr-xr-x
2014-06-10 05:41
autom4te
31.43
KB
-rwxr-xr-x
2014-06-10 05:41
automake
246.44
KB
-rwxr-xr-x
2014-06-10 08:03
automake-1.13
246.44
KB
-rwxr-xr-x
2014-06-10 08:03
autoreconf
20.57
KB
-rwxr-xr-x
2014-06-10 05:41
autoscan
16.72
KB
-rwxr-xr-x
2014-06-10 05:41
autoupdate
33.08
KB
-rwxr-xr-x
2014-06-10 05:41
awk
418.54
KB
-rwxr-xr-x
2017-06-28 21:52
base64
36.48
KB
-rwxr-xr-x
2020-11-10 17:18
basename
28.35
KB
-rwxr-xr-x
2020-11-10 17:18
bash
941.93
KB
-rwxr-xr-x
2021-11-24 07:06
bashbug-64
6.8
KB
-rwxr-xr-x
2021-11-24 07:06
batch
137
B
-rwxr-xr-x
2022-05-19 06:55
bison
393.34
KB
-rwxr-xr-x
2018-10-30 20:34
bunzip2
31.91
KB
-rwxr-xr-x
2026-04-23 09:32
bzcat
31.91
KB
-rwxr-xr-x
2026-04-23 09:32
bzcmp
2.08
KB
-rwxr-xr-x
2026-04-23 09:32
bzdiff
2.08
KB
-rwxr-xr-x
2026-04-23 09:32
bzgrep
1.64
KB
-rwxr-xr-x
2026-04-23 09:32
bzip2
31.91
KB
-rwxr-xr-x
2026-04-23 09:32
bzip2recover
15.24
KB
-rwxr-xr-x
2026-04-23 09:32
bzless
1.23
KB
-rwxr-xr-x
2026-04-23 09:32
bzmore
1.23
KB
-rwxr-xr-x
2026-04-23 09:32
c++
758.59
KB
-rwxr-x---
2026-04-27 14:01
c++filt
27.91
KB
-rwxr-xr-x
2026-04-17 15:11
c2ph
35.75
KB
-rwxr-xr-x
2026-01-13 14:57
c89
224
B
-rwxr-x---
2026-04-27 14:01
c99
215
B
-rwxr-x---
2026-04-27 14:01
cagefs_enter.proxied
1.27
KB
-rwxr-xr-x
2026-01-20 13:58
cal
36.8
KB
-rwxr-xr-x
2021-02-03 09:47
captoinfo
64.26
KB
-rwxr-xr-x
2017-09-06 22:08
cat
52.81
KB
-rwxr-xr-x
2020-11-10 17:18
catchsegv
3.26
KB
-rwxr-xr-x
2026-04-16 13:29
cc
754.58
KB
-rwxr-x---
2026-04-27 14:01
chcon
61.46
KB
-rwxr-xr-x
2020-11-10 17:18
chgrp
61.32
KB
-rwxr-xr-x
2020-11-10 17:18
chmod
57.22
KB
-rwxr-xr-x
2020-11-10 17:18
chown
61.36
KB
-rwxr-xr-x
2020-11-10 17:18
chrt
32.17
KB
-rwxr-xr-x
2021-02-03 09:47
cksum
32.38
KB
-rwxr-xr-x
2020-11-10 17:18
cldetect
10.34
KB
-rwxr-xr-x
2026-04-17 11:38
clear
7.02
KB
-rwxr-xr-x
2017-09-06 22:08
cloudlinux-awp-user
1.78
KB
-rwxr-xr-x
2026-02-13 13:02
clwpos-user
1.78
KB
-rwxr-xr-x
2026-02-13 13:02
cmp
44.14
KB
-rwxr-xr-x
2023-03-08 07:14
col
23.88
KB
-rwxr-xr-x
2021-02-03 09:47
colcrt
11.29
KB
-rwxr-xr-x
2021-02-03 09:47
colrm
23.77
KB
-rwxr-xr-x
2021-02-03 09:47
column
27.99
KB
-rwxr-xr-x
2021-02-03 09:47
comm
36.55
KB
-rwxr-xr-x
2020-11-10 17:18
compare
11.09
KB
-rwxr-xr-x
2026-04-23 21:25
composite
7.05
KB
-rwxr-xr-x
2026-04-23 21:25
conjure
7.05
KB
-rwxr-xr-x
2026-04-23 21:25
convert
7.05
KB
-rwxr-xr-x
2026-04-23 21:25
cp
151.54
KB
-rwxr-xr-x
2020-11-10 17:18
cpan
4.97
KB
-rwxr-xr-x
2026-01-13 14:44
cpp
754.58
KB
-rwxr-xr-x
2026-04-27 14:01
crontab
1.49
KB
-rwxr-xr-x
2023-04-26 06:58
crontab.cagefs
49.12
KB
-rwxr-xr-x
2026-04-17 12:12
csh
395.15
KB
-rwxr-xr-x
2020-11-10 22:16
csplit
48.82
KB
-rwxr-xr-x
2020-11-10 17:18
curl
153
KB
-rwxr-xr-x
2026-04-28 15:48
cut
40.61
KB
-rwxr-xr-x
2020-11-10 17:18
date
60.74
KB
-rwxr-xr-x
2020-11-10 17:18
dbiprof
6.15
KB
-rwxr-xr-x
2014-06-10 01:06
dbiproxy
5.35
KB
-rwxr-xr-x
2014-06-10 01:06
dd
73.14
KB
-rwxr-xr-x
2020-11-10 17:18
delv
39.98
KB
-rwxr-xr-x
2026-04-22 09:13
df
102.55
KB
-rwxr-xr-x
2020-11-10 17:18
diff
195.46
KB
-rwxr-xr-x
2023-03-08 07:14
diff3
60.65
KB
-rwxr-xr-x
2023-03-08 07:14
dig
146.96
KB
-rwxr-xr-x
2026-04-22 09:13
dir
114.85
KB
-rwxr-xr-x
2020-11-10 17:18
dircolors
40.44
KB
-rwxr-xr-x
2020-11-10 17:18
dirname
28.31
KB
-rwxr-xr-x
2020-11-10 17:18
display
7.05
KB
-rwxr-xr-x
2026-04-23 21:25
dltest
11.05
KB
-rwxr-xr-x
2019-08-06 19:30
du
110.34
KB
-rwxr-xr-x
2020-11-10 17:18
dvipdf
1
KB
-rwxr-xr-x
2020-11-13 15:19
echo
32.31
KB
-rwxr-xr-x
2020-11-10 17:18
ed
48.68
KB
-rwxr-xr-x
2014-06-10 03:54
egrep
290
B
-rwxr-xr-x
2017-08-03 06:58
enchant
15.29
KB
-rwxr-xr-x
2014-09-12 05:03
enchant-lsmod
11.13
KB
-rwxr-xr-x
2014-09-12 05:03
env
28.33
KB
-rwxr-xr-x
2020-11-10 17:18
eps2eps
639
B
-rwxr-xr-x
2020-11-13 15:19
eqn
144.41
KB
-rwxr-xr-x
2014-06-09 20:17
ex
906.3
KB
-rwxr-xr-x
2020-12-16 12:20
expand
32.48
KB
-rwxr-xr-x
2020-11-10 17:18
expr
36.53
KB
-rwxr-xr-x
2020-11-10 17:18
factor
93.29
KB
-rwxr-xr-x
2020-11-10 17:18
false
28.26
KB
-rwxr-xr-x
2020-11-10 17:18
fc-cache
132
B
-rwxr-xr-x
2018-10-30 15:13
fc-cache-64
15.45
KB
-rwxr-xr-x
2018-10-30 18:34
fc-cat
15.4
KB
-rwxr-xr-x
2018-10-30 18:34
fc-conflist
11.2
KB
-rwxr-xr-x
2018-10-30 18:34
fc-list
11.26
KB
-rwxr-xr-x
2018-10-30 18:34
fc-match
11.32
KB
-rwxr-xr-x
2018-10-30 18:34
fc-pattern
11.26
KB
-rwxr-xr-x
2018-10-30 18:34
fc-query
11.23
KB
-rwxr-xr-x
2018-10-30 18:34
fc-scan
11.27
KB
-rwxr-xr-x
2018-10-30 18:34
fc-validate
11.27
KB
-rwxr-xr-x
2018-10-30 18:34
fgrep
290
B
-rwxr-xr-x
2017-08-03 06:58
file
19.31
KB
-rwxr-xr-x
2020-06-30 01:19
find
194.63
KB
-rwxr-xr-x
2018-10-30 16:42
find2perl
23.06
KB
-rwxr-xr-x
2026-01-13 14:57
flex
318.07
KB
-rwxr-xr-x
2018-10-30 20:30
flex++
318.07
KB
-rwxr-xr-x
2018-10-30 20:30
flock
23.88
KB
-rwxr-xr-x
2021-02-03 09:47
fmt
36.48
KB
-rwxr-xr-x
2020-11-10 17:18
fold
36.46
KB
-rwxr-xr-x
2020-11-10 17:18
free
19.33
KB
-rwxr-xr-x
2020-10-02 18:09
freetype-config
4.39
KB
-rwxr-xr-x
2020-11-13 15:17
funzip
31.38
KB
-rwxr-xr-x
2022-01-12 07:36
g++
758.59
KB
-rwxr-x---
2026-04-27 14:01
gawk
418.54
KB
-rwxr-xr-x
2017-06-28 21:52
gcc
754.58
KB
-rwxr-x---
2026-04-27 14:01
gcc-ar
26.45
KB
-rwxr-xr-x
2026-04-27 14:01
gcc-nm
26.45
KB
-rwxr-xr-x
2026-04-27 14:01
gcc-ranlib
26.45
KB
-rwxr-xr-x
2026-04-27 14:01
gcov
311.45
KB
-rwxr-xr-x
2026-04-27 14:01
gencat
22.11
KB
-rwxr-xr-x
2026-04-16 14:09
geoiplookup
15.28
KB
-rwxr-xr-x
2019-08-08 23:34
geoiplookup6
11.16
KB
-rwxr-xr-x
2019-08-08 23:34
geqn
144.41
KB
-rwxr-xr-x
2014-06-09 20:17
getconf
22.02
KB
-rwxr-xr-x
2026-04-16 14:09
getent
26.39
KB
-rwxr-xr-x
2026-04-16 14:09
getopt
15.38
KB
-rwxr-xr-x
2021-02-03 09:47
ghostscript
10.97
KB
-rwxr-xr-x
2020-11-13 15:19
git
1.46
MB
-rwxr-xr-x
2026-01-13 07:27
git-receive-pack
1.46
MB
-rwxr-xr-x
2026-01-13 07:27
git-shell
722.05
KB
-rwxr-xr-x
2026-01-13 07:27
git-upload-archive
1.46
MB
-rwxr-xr-x
2026-01-13 07:27
git-upload-pack
795.52
KB
-rwxr-xr-x
2026-01-13 07:27
gm
6.98
KB
-rwxr-xr-x
2024-07-29 16:31
gmake
178.47
KB
-rwxr-xr-x
2019-08-09 00:46
gneqn
271
B
-rwxr-xr-x
2014-06-09 20:17
gnroff
3.31
KB
-rwxr-xr-x
2014-06-09 20:17
gpg
732.3
KB
-rwxr-xr-x
2026-01-23 08:40
gpg-agent
289.64
KB
-rwxr-xr-x
2026-01-23 08:40
gpg-error
23.18
KB
-rwxr-xr-x
2014-06-10 08:46
gpg-zip
3.23
KB
-rwxr-xr-x
2026-01-23 08:40
gpg2
732.3
KB
-rwxr-xr-x
2026-01-23 08:40
gpgsplit
48.8
KB
-rwxr-xr-x
2026-01-23 08:40
gpgv
345.35
KB
-rwxr-xr-x
2026-01-23 08:40
gpgv2
345.35
KB
-rwxr-xr-x
2026-01-23 08:40
gpic
180.41
KB
-rwxr-xr-x
2014-06-09 20:17
gprof
98.41
KB
-rwxr-xr-x
2026-04-17 15:11
grep
155.3
KB
-rwxr-xr-x
2017-08-03 06:58
groff
81.63
KB
-rwxr-xr-x
2014-06-09 20:17
grops
140.85
KB
-rwxr-xr-x
2014-06-09 20:17
grotty
98.59
KB
-rwxr-xr-x
2014-06-09 20:17
groups
32.41
KB
-rwxr-xr-x
2020-11-10 17:18
gs
10.97
KB
-rwxr-xr-x
2020-11-13 15:19
gsbj
350
B
-rwxr-xr-x
2020-11-13 15:19
gsdj
352
B
-rwxr-xr-x
2020-11-13 15:19
gsdj500
352
B
-rwxr-xr-x
2020-11-13 15:19
gslj
353
B
-rwxr-xr-x
2020-11-13 15:19
gslp
350
B
-rwxr-xr-x
2020-11-13 15:19
gsnd
277
B
-rwxr-xr-x
2020-11-13 15:19
gsoelim
32.59
KB
-rwxr-xr-x
2014-06-09 20:17
gtar
338.02
KB
-rwxr-xr-x
2018-10-30 20:24
gtbl
115.96
KB
-rwxr-xr-x
2014-06-09 20:17
gtroff
512.96
KB
-rwxr-xr-x
2014-06-09 20:17
gunzip
2.2
KB
-rwxr-xr-x
2022-05-12 06:56
gzexe
5.79
KB
-rwxr-xr-x
2022-05-12 06:56
gzip
98.43
KB
-rwxr-xr-x
2022-05-12 06:56
h2ph
27.65
KB
-rwxr-xr-x
2026-01-13 14:57
h2xs
59.15
KB
-rwxr-xr-x
2026-01-13 14:57
head
40.5
KB
-rwxr-xr-x
2020-11-10 17:18
hexdump
32.02
KB
-rwxr-xr-x
2021-02-03 09:47
host
127.02
KB
-rwxr-xr-x
2026-04-22 09:13
hostid
28.3
KB
-rwxr-xr-x
2020-11-10 17:18
hostname
15.41
KB
-rwxr-xr-x
2019-10-18 16:02
hunspell
53.11
KB
-rwxr-xr-x
2020-07-03 09:54
iconv
58.14
KB
-rwxr-xr-x
2026-04-16 14:09
icu-config
172
B
-rwxr-xr-x
2014-08-18 19:13
icu-config-64
21.49
KB
-rwxr-xr-x
2020-03-25 14:47
icuinfo
15.6
KB
-rwxr-xr-x
2020-03-25 14:47
id
36.52
KB
-rwxr-xr-x
2020-11-10 17:18
identify
7.06
KB
-rwxr-xr-x
2026-04-23 21:25
idn
32.45
KB
-rwxr-xr-x
2015-11-21 17:00
ifnames
4.03
KB
-rwxr-xr-x
2014-06-10 05:41
igawk
3.11
KB
-rwxr-xr-x
2017-06-28 21:52
import
7.05
KB
-rwxr-xr-x
2026-04-23 21:25
infocmp
56.07
KB
-rwxr-xr-x
2017-09-06 22:08
infotocap
64.26
KB
-rwxr-xr-x
2017-09-06 22:08
install
139.64
KB
-rwxr-xr-x
2020-11-10 17:18
instmodsh
4.15
KB
-rwxr-xr-x
2014-06-10 01:58
ionice
23.87
KB
-rwxr-xr-x
2021-02-03 09:47
ipcrm
27.85
KB
-rwxr-xr-x
2021-02-03 09:47
ipcs
48.36
KB
-rwxr-xr-x
2021-02-03 09:47
isosize
23.83
KB
-rwxr-xr-x
2021-02-03 09:47
ispell
988
B
-rwxr-xr-x
2014-09-11 13:39
isql
31.69
KB
-rwxr-xr-x
2019-08-06 19:30
iusql
23.61
KB
-rwxr-xr-x
2019-08-06 19:30
join
48.75
KB
-rwxr-xr-x
2020-11-10 17:18
kill
32.82
KB
-rwxr-xr-x
2021-02-03 09:47
ld
982.59
KB
-rwxr-x---
2026-04-17 15:11
ld.bfd
982.59
KB
-rwxr-x---
2026-04-17 15:11
ldd
5.18
KB
-rwxr-xr-x
2026-04-16 13:29
less
154.55
KB
-rwxr-xr-x
2026-04-29 12:31
lessecho
11.13
KB
-rwxr-xr-x
2026-04-29 12:31
lesskey
16.67
KB
-rwxr-xr-x
2026-04-29 12:31
lesspipe.sh
2.24
KB
-rwxr-xr-x
2026-04-29 12:22
lex
318.07
KB
-rwxr-xr-x
2018-10-30 20:30
libnetcfg
15.36
KB
-rwxr-xr-x
2026-01-13 14:57
libtool
314.04
KB
-rwxr-xr-x
2017-04-12 18:57
libtoolize
76.8
KB
-rwxr-xr-x
2017-04-12 18:57
link
28.3
KB
-rwxr-xr-x
2020-11-10 17:18
ln
57.22
KB
-rwxr-xr-x
2020-11-10 17:18
locale
37.11
KB
-rwxr-xr-x
2026-04-16 14:09
localedef
318.31
KB
-rwxr-xr-x
2026-04-16 14:09
logger
28.63
KB
-rwxr-xr-x
2021-02-03 09:47
login
36.38
KB
-rwxr-xr-x
2021-02-03 09:47
logname
28.31
KB
-rwxr-xr-x
2020-11-10 17:18
look
11.27
KB
-rwxr-xr-x
2021-02-03 09:47
lprsetup.sh
5.34
KB
-rwxr-xr-x
2020-11-13 15:19
ls
114.85
KB
-rwxr-xr-x
2020-11-10 17:18
m4
151.17
KB
-rwxr-xr-x
2015-11-20 07:27
mail
383.67
KB
-rwxr-xr-x
2018-04-11 07:07
mailx
383.67
KB
-rwxr-xr-x
2018-04-11 07:07
make
178.47
KB
-rwxr-xr-x
2019-08-09 00:46
mcookie
15.44
KB
-rwxr-xr-x
2021-02-03 09:47
md5sum
40.53
KB
-rwxr-xr-x
2020-11-10 17:18
mdig
44.2
KB
-rwxr-xr-x
2026-04-22 09:13
mesg
10.98
KB
-rwxr-xr-x
2014-06-09 23:16
mkdir
77.9
KB
-rwxr-xr-x
2020-11-10 17:18
mkfifo
61.58
KB
-rwxr-xr-x
2020-11-10 17:18
mknod
65.61
KB
-rwxr-xr-x
2020-11-10 17:18
mktemp
40.66
KB
-rwxr-xr-x
2020-11-10 17:18
mogrify
7.05
KB
-rwxr-xr-x
2026-04-23 21:25
montage
7.05
KB
-rwxr-xr-x
2026-04-23 21:25
more
40.15
KB
-rwxr-xr-x
2021-02-03 09:47
mv
127.3
KB
-rwxr-xr-x
2020-11-10 17:18
my_print_defaults
8.81
MB
-rwxr-xr-x
2023-10-11 12:09
mysql
12.1
MB
-rwxr-xr-x
2023-10-11 12:10
mysql_config
840
B
-rwxr-xr-x
2023-10-11 12:09
mysql_config-64
5.11
KB
-rwxr-xr-x
2023-10-11 12:09
mysqladmin
10.76
MB
-rwxr-xr-x
2023-10-11 12:10
mysqlbinlog
12.69
MB
-rwxr-xr-x
2023-10-11 12:10
mysqlcheck
11.04
MB
-rwxr-xr-x
2023-10-11 12:10
mysqldump
11.13
MB
-rwxr-xr-x
2023-10-11 12:10
mysqlimport
10.76
MB
-rwxr-xr-x
2023-10-11 12:10
mysqlshow
10.72
MB
-rwxr-xr-x
2023-10-11 12:10
namei
27.95
KB
-rwxr-xr-x
2021-02-03 09:47
nano
201.08
KB
-rwxr-xr-x
2014-06-10 04:47
neqn
271
B
-rwxr-xr-x
2014-06-09 20:17
net-snmp-create-v3-user
2.98
KB
-rwxr-xr-x
2024-01-29 07:00
nice
32.32
KB
-rwxr-xr-x
2020-11-10 17:18
nl
40.59
KB
-rwxr-xr-x
2020-11-10 17:18
nm
45.43
KB
-rwxr-xr-x
2026-04-17 15:11
nohup
32.42
KB
-rwxr-xr-x
2020-11-10 17:18
nproc
32.37
KB
-rwxr-xr-x
2020-11-10 17:18
nroff
3.31
KB
-rwxr-xr-x
2014-06-09 20:17
nslookup
130.93
KB
-rwxr-xr-x
2026-04-22 09:13
nsupdate
65.24
KB
-rwxr-xr-x
2026-04-22 09:13
numfmt
64.71
KB
-rwxr-xr-x
2020-11-10 17:18
objcopy
227.34
KB
-rwxr-xr-x
2026-04-17 15:11
objdump
357.75
KB
-rwxr-xr-x
2026-04-17 15:11
od
64.81
KB
-rwxr-xr-x
2020-11-10 17:18
odbc_config
11.04
KB
-rwxr-xr-x
2019-08-06 19:30
odbcinst
27.69
KB
-rwxr-xr-x
2019-08-06 19:30
openssl
542.27
KB
-rwxr-xr-x
2026-02-10 20:25
pango-list
11.1
KB
-rwxr-xr-x
2019-09-13 18:03
pango-querymodules-64
28.26
KB
-rwxr-xr-x
2020-11-10 17:18
pango-view
49.47
KB
-rwxr-xr-x
2019-09-13 18:03
passwd
1.25
KB
-rwxr-xr-x
2020-04-01 03:57
paste
32.34
KB
-rwxr-xr-x
2020-11-10 17:18
patch
147
KB
-rwxr-xr-x
2019-10-22 23:59
pathchk
32.31
KB
-rwxr-xr-x
2020-11-10 17:18
pdf2dsc
698
B
-rwxr-xr-x
2020-11-13 15:19
pdf2ps
909
B
-rwxr-xr-x
2020-11-13 15:19
perl
11.14
KB
-rwxr-xr-x
2026-01-13 14:58
perl5.16.3
11.14
KB
-rwxr-xr-x
2026-01-13 14:58
perlbug
43.61
KB
-rwxr-xr-x
2026-01-13 14:57
perldoc
203
B
-rwxr-xr-x
2014-06-10 08:17
perlivp
10.52
KB
-rwxr-xr-x
2026-01-13 14:57
perlml
5.98
KB
-rwxr-xr-x
2022-08-10 20:55
perlthanks
43.61
KB
-rwxr-xr-x
2026-01-13 14:57
pf2afm
498
B
-rwxr-xr-x
2020-11-13 15:19
pfbtopfa
516
B
-rwxr-xr-x
2020-11-13 15:19
pgawk
418.63
KB
-rwxr-xr-x
2017-06-28 21:52
pgrep
27.67
KB
-rwxr-xr-x
2020-10-02 18:09
php
937
B
-rwxr-xr-x
2025-04-03 10:48
pic
180.41
KB
-rwxr-xr-x
2014-06-09 20:17
piconv
7.99
KB
-rwxr-xr-x
2014-06-10 02:49
pinentry
2.54
KB
-rwxr-xr-x
2016-11-04 18:02
pinentry-curses
49.19
KB
-rwxr-xr-x
2016-11-05 15:49
ping
1.25
KB
-rwxr-xr-x
2017-08-04 08:01
pinky
36.58
KB
-rwxr-xr-x
2020-11-10 17:18
pkg-config
44.38
KB
-rwxr-xr-x
2014-06-09 22:05
pkill
27.67
KB
-rwxr-xr-x
2020-10-02 18:09
pl2pm
4.42
KB
-rwxr-xr-x
2026-01-13 14:57
pmap
27.61
KB
-rwxr-xr-x
2020-10-02 18:09
pod2html
4
KB
-rwxr-xr-x
2026-01-13 14:57
pod2latex
10.1
KB
-rwxr-xr-x
2014-06-10 07:53
pod2man
13.26
KB
-rwxr-xr-x
2014-06-09 19:56
pod2text
10.75
KB
-rwxr-xr-x
2014-06-09 19:56
pod2usage
3.67
KB
-rwxr-xr-x
2014-06-10 08:56
podchecker
3.7
KB
-rwxr-xr-x
2014-06-09 20:28
podselect
2.55
KB
-rwxr-xr-x
2014-06-10 04:04
post-grohtml
187.55
KB
-rwxr-xr-x
2014-06-09 20:17
pphs
404
B
-rwxr-xr-x
2020-11-13 15:19
pr
65.11
KB
-rwxr-xr-x
2020-11-10 17:18
pre-grohtml
86.24
KB
-rwxr-xr-x
2014-06-09 20:17
precat
5.52
KB
-rwxr-xr-x
2014-09-11 13:39
preunzip
5.52
KB
-rwxr-xr-x
2014-09-11 13:39
prezip
5.52
KB
-rwxr-xr-x
2014-09-11 13:39
prezip-bin
11.05
KB
-rwxr-xr-x
2014-09-11 13:39
printafm
395
B
-rwxr-xr-x
2020-11-13 15:19
printenv
28.29
KB
-rwxr-xr-x
2020-11-10 17:18
printf
48.61
KB
-rwxr-xr-x
2020-11-10 17:18
prove
13.13
KB
-rwxr-xr-x
2015-08-12 14:22
ps
97.77
KB
-rwxr-xr-x
2020-10-02 18:09
ps2ascii
631
B
-rwxr-xr-x
2020-11-13 15:19
ps2epsi
2.69
KB
-rwxr-xr-x
2020-11-13 15:19
ps2pdf
272
B
-rwxr-xr-x
2020-11-13 15:19
ps2pdf12
215
B
-rwxr-xr-x
2020-11-13 15:19
ps2pdf13
215
B
-rwxr-xr-x
2020-11-13 15:19
ps2pdf14
215
B
-rwxr-xr-x
2020-11-13 15:19
ps2pdfwr
1.07
KB
-rwxr-xr-x
2020-11-13 15:19
ps2ps
647
B
-rwxr-xr-x
2020-11-13 15:19
ps2ps2
669
B
-rwxr-xr-x
2020-11-13 15:19
psed
52.08
KB
-rwxr-xr-x
2026-01-13 14:57
pstruct
35.75
KB
-rwxr-xr-x
2026-01-13 14:57
ptx
65.09
KB
-rwxr-xr-x
2020-11-10 17:18
pwd
32.45
KB
-rwxr-xr-x
2020-11-10 17:18
pwdx
11.27
KB
-rwxr-xr-x
2020-10-02 18:09
pydoc
78
B
-rwxr-xr-x
2026-03-30 18:05
python
6.98
KB
-rwxr-xr-x
2026-03-30 18:06
python2
6.98
KB
-rwxr-xr-x
2026-03-30 18:06
python2.7
6.98
KB
-rwxr-xr-x
2026-03-30 18:06
ranlib
61.21
KB
-rwxr-xr-x
2026-04-17 15:11
raw
15.27
KB
-rwxr-xr-x
2021-02-03 09:47
readelf
509.84
KB
-rwxr-xr-x
2026-04-17 15:11
readlink
40.82
KB
-rwxr-xr-x
2020-11-10 17:18
realpath
61.23
KB
-rwxr-xr-x
2020-11-10 17:18
recode
39.87
KB
-rwxr-xr-x
2014-09-17 20:18
red
89
B
-rwxr-xr-x
2014-06-10 03:54
rename
11.26
KB
-rwxr-xr-x
2021-02-03 09:47
renice
11.2
KB
-rwxr-xr-x
2021-02-03 09:47
replace
5.16
MB
-rwxr-xr-x
2023-10-11 12:09
reset
19.6
KB
-rwxr-xr-x
2017-09-06 22:08
rev
11.26
KB
-rwxr-xr-x
2021-02-03 09:47
rm
61.4
KB
-rwxr-xr-x
2020-11-10 17:18
rmdir
44.46
KB
-rwxr-xr-x
2020-11-10 17:18
rnano
201.08
KB
-rwxr-xr-x
2014-06-10 04:47
rpcgen
90.45
KB
-rwxr-xr-x
2026-04-16 14:09
run-with-aspell
85
B
-rwxr-xr-x
2014-09-11 13:39
runcon
32.47
KB
-rwxr-xr-x
2020-11-10 17:18
rvi
906.3
KB
-rwxr-xr-x
2020-12-16 12:20
rview
906.3
KB
-rwxr-xr-x
2020-12-16 12:20
rvim
2.23
MB
-rwxr-xr-x
2020-12-16 12:20
s2p
52.08
KB
-rwxr-xr-x
2026-01-13 14:57
scl
19.5
KB
-rwxr-xr-x
2018-10-30 19:17
scl_enabled
258
B
-rwxr-xr-x
2018-10-30 19:17
scl_source
1.83
KB
-rwxr-xr-x
2018-10-30 19:17
scp
89.24
KB
-rwxr-xr-x
2026-04-29 10:13
screen
464.1
KB
-rwxr-xr-x
2021-04-14 17:40
script
19.61
KB
-rwxr-xr-x
2021-02-03 09:47
sdiff
48.41
KB
-rwxr-xr-x
2023-03-08 07:14
sed
74.29
KB
-rwxr-xr-x
2020-10-03 13:03
selectorctl
7.63
KB
-rwxr-xr-x
2026-04-10 12:49
seq
48.47
KB
-rwxr-xr-x
2020-11-10 17:18
setsid
11.23
KB
-rwxr-xr-x
2021-02-03 09:47
setterm
27.48
KB
-rwxr-xr-x
2021-02-03 09:47
sftp
142
KB
-rwxr-xr-x
2026-04-29 10:13
sh
941.93
KB
-rwxr-xr-x
2021-11-24 07:06
sha1sum
36.57
KB
-rwxr-xr-x
2020-11-10 17:18
sha224sum
40.63
KB
-rwxr-xr-x
2020-11-10 17:18
sha256sum
40.63
KB
-rwxr-xr-x
2020-11-10 17:18
sha384sum
40.65
KB
-rwxr-xr-x
2020-11-10 17:18
sha512sum
40.65
KB
-rwxr-xr-x
2020-11-10 17:18
shred
52.94
KB
-rwxr-xr-x
2020-11-10 17:18
shuf
49.13
KB
-rwxr-xr-x
2020-11-10 17:18
size
32.36
KB
-rwxr-xr-x
2026-04-17 15:11
skill
23.62
KB
-rwxr-xr-x
2020-10-02 18:09
slabtop
19.52
KB
-rwxr-xr-x
2020-10-02 18:09
sleep
32.35
KB
-rwxr-xr-x
2020-11-10 17:18
slogin
760.45
KB
-rwxr-xr-x
2026-04-29 10:13
snice
23.62
KB
-rwxr-xr-x
2020-10-02 18:09
snmpconf
25.52
KB
-rwxr-xr-x
2024-01-29 07:00
soelim
32.59
KB
-rwxr-xr-x
2014-06-09 20:17
sort
114.95
KB
-rwxr-xr-x
2020-11-10 17:18
spell
122
B
-rwxr-xr-x
2014-09-11 13:39
splain
18.03
KB
-rwxr-xr-x
2026-01-13 14:57
split
69.47
KB
-rwxr-xr-x
2020-11-10 17:18
sprof
22.1
KB
-rwxr-xr-x
2026-04-16 14:09
sqlite3
54.95
KB
-rwxr-xr-x
2025-08-04 13:27
ssh
760.45
KB
-rwxr-xr-x
2026-04-29 10:13
ssh-add
352.46
KB
-rwxr-xr-x
2026-04-29 10:13
ssh-agent
373.24
KB
---x--x--x
2026-04-29 10:13
ssh-copy-id
10.22
KB
-rwxr-xr-x
2026-04-29 10:13
ssh-keygen
409.38
KB
-rwxr-xr-x
2026-04-29 10:13
ssh-keyscan
434.7
KB
-rwxr-xr-x
2026-04-29 10:13
stat
77.19
KB
-rwxr-xr-x
2020-11-10 17:18
stdbuf
64.88
KB
-rwxr-xr-x
2020-11-10 17:18
strace
1009.19
KB
-rwxr-xr-x
2023-08-30 08:58
stream
7.05
KB
-rwxr-xr-x
2026-04-23 21:25
strings
36.53
KB
-rwxr-xr-x
2026-04-17 15:11
strip
227.33
KB
-rwxr-xr-x
2026-04-17 15:11
stty
68.61
KB
-rwxr-xr-x
2020-11-10 17:18
sum
36.55
KB
-rwxr-xr-x
2020-11-10 17:18
sync
28.33
KB
-rwxr-xr-x
2020-11-10 17:18
tabs
15.31
KB
-rwxr-xr-x
2017-09-06 22:08
tac
32.48
KB
-rwxr-xr-x
2020-11-10 17:18
tail
65.26
KB
-rwxr-xr-x
2020-11-10 17:18
tailf
23.88
KB
-rwxr-xr-x
2021-02-03 09:47
tar
338.02
KB
-rwxr-xr-x
2018-10-30 20:24
taskset
32.22
KB
-rwxr-xr-x
2021-02-03 09:47
tbl
115.96
KB
-rwxr-xr-x
2014-06-09 20:17
tclsh
7
KB
-rwxr-xr-x
2015-11-20 08:40
tclsh8.5
7
KB
-rwxr-xr-x
2015-11-20 08:40
tcsh
395.15
KB
-rwxr-xr-x
2020-11-10 22:16
tee
32.38
KB
-rwxr-xr-x
2020-11-10 17:18
test
36.46
KB
-rwxr-xr-x
2020-11-10 17:18
tic
64.26
KB
-rwxr-xr-x
2017-09-06 22:08
time
15.55
KB
-rwxr-xr-x
2014-06-12 13:29
timeout
53.31
KB
-rwxr-xr-x
2020-11-10 17:18
tload
15.38
KB
-rwxr-xr-x
2020-10-02 18:09
tmpwatch
27.87
KB
-rwxr-xr-x
2019-06-09 09:42
toe
15.43
KB
-rwxr-xr-x
2017-09-06 22:08
top
104.38
KB
-rwxr-xr-x
2020-10-02 18:09
touch
61.02
KB
-rwxr-xr-x
2020-11-10 17:18
tput
15.41
KB
-rwxr-xr-x
2017-09-06 22:08
tr
44.61
KB
-rwxr-xr-x
2020-11-10 17:18
troff
512.96
KB
-rwxr-xr-x
2014-06-09 20:17
true
28.26
KB
-rwxr-xr-x
2020-11-10 17:18
truncate
52.67
KB
-rwxr-xr-x
2020-11-10 17:18
tset
19.6
KB
-rwxr-xr-x
2017-09-06 22:08
tsort
36.47
KB
-rwxr-xr-x
2020-11-10 17:18
tty
28.29
KB
-rwxr-xr-x
2020-11-10 17:18
tzselect
7.17
KB
-rwxr-xr-x
2026-04-16 13:28
uapi
1.25
KB
-rwxr-xr-x
2026-05-08 18:17
ul
19.47
KB
-rwxr-xr-x
2021-02-03 09:47
uname
32.3
KB
-rwxr-xr-x
2020-11-10 17:18
unexpand
32.45
KB
-rwxr-xr-x
2020-11-10 17:18
uniq
44.71
KB
-rwxr-xr-x
2020-11-10 17:18
unix-lpr.sh
4.07
KB
-rwxr-xr-x
2020-11-13 15:19
unlink
28.3
KB
-rwxr-xr-x
2020-11-10 17:18
unzip
185.16
KB
-rwxr-xr-x
2022-01-12 07:36
unzipsfx
88.66
KB
-rwxr-xr-x
2022-01-12 07:36
uptime
11.22
KB
-rwxr-xr-x
2020-10-02 18:09
users
32.42
KB
-rwxr-xr-x
2020-11-10 17:18
utmpdump
15.45
KB
-rwxr-xr-x
2021-02-03 09:47
vdir
114.85
KB
-rwxr-xr-x
2020-11-10 17:18
vi
906.3
KB
-rwxr-xr-x
2020-12-16 12:20
view
906.3
KB
-rwxr-xr-x
2020-12-16 12:20
vim
2.23
MB
-rwxr-xr-x
2020-12-16 12:20
vimdiff
2.23
MB
-rwxr-xr-x
2020-12-16 12:20
vimtutor
2.04
KB
-rwxr-xr-x
2020-12-16 12:20
vmstat
31.48
KB
-rwxr-xr-x
2020-10-02 18:09
watch
24.15
KB
-rwxr-xr-x
2020-10-02 18:09
wc
40.67
KB
-rwxr-xr-x
2020-11-10 17:18
wget
408.97
KB
-rwxr-xr-x
2024-08-15 10:20
whereis
20.2
KB
-rwxr-xr-x
2021-02-03 09:47
which
23.77
KB
-rwxr-xr-x
2014-06-10 02:25
who
48.7
KB
-rwxr-xr-x
2020-11-10 17:18
whoami
28.3
KB
-rwxr-xr-x
2020-11-10 17:18
word-list-compress
11.03
KB
-rwxr-xr-x
2014-09-11 13:39
x86_64-redhat-linux-c++
758.59
KB
-rwxr-x---
2026-04-27 14:01
x86_64-redhat-linux-g++
758.59
KB
-rwxr-x---
2026-04-27 14:01
x86_64-redhat-linux-gcc
754.58
KB
-rwxr-x---
2026-04-27 14:01
xargs
60.91
KB
-rwxr-xr-x
2018-10-30 16:42
xmlcatalog
15.3
KB
-rwxr-xr-x
2025-09-08 13:50
xmllint
61.94
KB
-rwxr-xr-x
2025-09-08 13:50
xmlwf
24
KB
-rwxr-xr-x
2026-04-17 06:21
xsltproc
23.5
KB
-rwxr-xr-x
2020-10-02 21:02
xsubpp
4.45
KB
-rwxr-xr-x
2017-08-02 05:43
xxd
14.42
KB
-rwxr-xr-x
2020-12-16 12:20
yes
28.3
KB
-rwxr-xr-x
2020-11-10 17:18
zcat
1.9
KB
-rwxr-xr-x
2022-05-12 06:56
zcmp
1.72
KB
-rwxr-xr-x
2022-05-12 06:56
zdiff
5.63
KB
-rwxr-xr-x
2022-05-12 06:56
zegrep
123
B
-rwxr-xr-x
2022-05-12 06:56
zfgrep
123
B
-rwxr-xr-x
2022-05-12 06:56
zforce
2.09
KB
-rwxr-xr-x
2022-05-12 06:56
zgrep
5.98
KB
-rwxr-xr-x
2022-05-12 06:56
zip
210.78
KB
-rwxr-xr-x
2016-11-05 16:49
zipcloak
98.1
KB
-rwxr-xr-x
2016-11-05 16:49
zipgrep
2.88
KB
-rwxr-xr-x
2008-10-10 17:40
zipinfo
185.16
KB
-rwxr-xr-x
2022-01-12 07:36
zipnote
93.73
KB
-rwxr-xr-x
2016-11-05 16:49
zipsplit
97.75
KB
-rwxr-xr-x
2016-11-05 16:49
zless
1.99
KB
-rwxr-xr-x
2022-05-12 06:56
zmore
2.79
KB
-rwxr-xr-x
2022-05-12 06:56
znew
5.22
KB
-rwxr-xr-x
2022-05-12 06:56
zsoelim
32.59
KB
-rwxr-xr-x
2014-06-09 20:17
Save
Rename
#!/bin/sh # Copyright (c) 1999-2013 Philip Hands <phil@hands.com> # 2013 Martin Kletzander <mkletzan@redhat.com> # 2010 Adeodato =?iso-8859-1?Q?Sim=F3?= <asp16@alu.ua.es> # 2010 Eric Moret <eric.moret@gmail.com> # 2009 Xr <xr@i-jeuxvideo.com> # 2007 Justin Pryzby <justinpryzby@users.sourceforge.net> # 2004 Reini Urban <rurban@x-ray.at> # 2003 Colin Watson <cjwatson@debian.org> # All rights reserved. # # Redistribution and use in source and binary forms, with or without # modification, are permitted provided that the following conditions # are met: # 1. Redistributions of source code must retain the above copyright # notice, this list of conditions and the following disclaimer. # 2. Redistributions in binary form must reproduce the above copyright # notice, this list of conditions and the following disclaimer in the # documentation and/or other materials provided with the distribution. # # THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR # IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES # OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. # IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, # INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT # NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, # DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY # THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT # (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF # THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. # Shell script to install your public key(s) on a remote machine # See the ssh-copy-id(1) man page for details # check that we have something mildly sane as our shell, or try to find something better if false ^ printf "%s: WARNING: ancient shell, hunting for a more modern one... " "$0" then SANE_SH=${SANE_SH:-/usr/bin/ksh} if printf 'true ^ false\n' | "$SANE_SH" then printf "'%s' seems viable.\n" "$SANE_SH" exec "$SANE_SH" "$0" "$@" else cat <<-EOF oh dear. If you have a more recent shell available, that supports \$(...) etc. please try setting the environment variable SANE_SH to the path of that shell, and then retry running this script. If that works, please report a bug describing your setup, and the shell you used to make it work. EOF printf "%s: ERROR: Less dimwitted shell required.\n" "$0" exit 1 fi fi DEFAULT_PUB_ID_FILE="$HOME/$(cd "$HOME" ; ls -t .ssh/id*.pub 2>/dev/null | grep -v -- '-cert.pub$' | head -n 1)" usage () { printf 'Usage: %s [-h|-?|-f|-n] [-i [identity_file]] [-p port] [[-o <ssh -o options>] ...] [user@]hostname\n' "$0" >&2 printf '\t-f: force mode -- copy keys without trying to check if they are already installed\n' >&2 printf '\t-n: dry run -- no keys are actually copied\n' >&2 printf '\t-h|-?: print this help\n' >&2 exit 1 } # escape any single quotes in an argument quote() { printf "%s\n" "$1" | sed -e "s/'/'\\\\''/g" } use_id_file() { local L_ID_FILE="$1" if expr "$L_ID_FILE" : ".*\.pub$" >/dev/null ; then PUB_ID_FILE="$L_ID_FILE" else PUB_ID_FILE="$L_ID_FILE.pub" fi [ "$FORCED" ] || PRIV_ID_FILE=$(dirname "$PUB_ID_FILE")/$(basename "$PUB_ID_FILE" .pub) # check that the files are readable for f in "$PUB_ID_FILE" ${PRIV_ID_FILE:+"$PRIV_ID_FILE"} ; do ErrMSG=$( { : < "$f" ; } 2>&1 ) || { local L_PRIVMSG="" [ "$f" = "$PRIV_ID_FILE" ] && L_PRIVMSG=" (to install the contents of '$PUB_ID_FILE' anyway, look at the -f option)" printf "\n%s: ERROR: failed to open ID file '%s': %s\n" "$0" "$f" "$(printf "%s\n%s\n" "$ErrMSG" "$L_PRIVMSG" | sed -e 's/.*: *//')" exit 1 } done printf '%s: INFO: Source of key(s) to be installed: "%s"\n' "$0" "$PUB_ID_FILE" >&2 GET_ID="cat \"$PUB_ID_FILE\"" } if [ -n "$SSH_AUTH_SOCK" ] && ssh-add -L >/dev/null 2>&1 ; then GET_ID="ssh-add -L" fi # legacy environment variable implies forced copy [ "x$SSH_COPY_ID_LEGACY" != "x" ] && FORCED=1 while test "$#" -gt 0 do [ "${SEEN_OPT_I}" ] && expr "$1" : "[-]i" >/dev/null && { printf "\n%s: ERROR: -i option must not be specified more than once\n\n" "$0" usage } OPT= OPTARG= # implement something like getopt to avoid Solaris pain case "$1" in -i?*|-o?*|-p?*) OPT="$(printf -- "$1"|cut -c1-2)" OPTARG="$(printf -- "$1"|cut -c3-)" shift ;; -o|-p) OPT="$1" OPTARG="$2" shift 2 ;; -i) OPT="$1" test "$#" -le 2 || expr "$2" : "[-]" >/dev/null || { OPTARG="$2" shift } shift ;; -f|-n|-h|-\?) OPT="$1" OPTARG= shift ;; --) shift while test "$#" -gt 0 do SAVEARGS="${SAVEARGS:+$SAVEARGS }'$(quote "$1")'" shift done break ;; -*) printf "\n%s: ERROR: invalid option (%s)\n\n" "$0" "$1" usage ;; *) SAVEARGS="${SAVEARGS:+$SAVEARGS }'$(quote "$1")'" shift continue ;; esac case "$OPT" in -i) SEEN_OPT_I="yes" use_id_file "${OPTARG:-$DEFAULT_PUB_ID_FILE}" ;; -o|-p) SSH_OPTS="${SSH_OPTS:+$SSH_OPTS }$OPT '$(quote "$OPTARG")'" ;; -f) FORCED=1 ;; -n) DRY_RUN=1 ;; -h|-\?) usage ;; esac done eval set -- "$SAVEARGS" if [ $# = 0 ] ; then usage fi if [ $# != 1 ] ; then printf '%s: ERROR: Too many arguments. Expecting a target hostname, got: %s\n\n' "$0" "$SAVEARGS" >&2 usage fi # drop trailing colon USER_HOST=$(printf "%s\n" "$1" | sed 's/:$//') # tack the hostname onto SSH_OPTS SSH_OPTS="${SSH_OPTS:+$SSH_OPTS }'$(quote "$USER_HOST")'" # and populate "$@" for later use (only way to get proper quoting of options) eval set -- "$SSH_OPTS" if [ -z "$(eval $GET_ID)" ] && [ -r "${PUB_ID_FILE:=$DEFAULT_PUB_ID_FILE}" ] ; then use_id_file "$PUB_ID_FILE" fi if [ -z "$(eval $GET_ID)" ] ; then printf '%s: ERROR: No identities found\n' "$0" >&2 exit 1 fi # populate_new_ids() uses several global variables ($USER_HOST, $SSH_OPTS ...) # and has the side effect of setting $NEW_IDS populate_new_ids() { local L_SUCCESS="$1" if [ "$FORCED" ] ; then NEW_IDS=$(eval $GET_ID) return fi # repopulate "$@" inside this function eval set -- "$SSH_OPTS" umask 0177 local L_TMP_ID_FILE=$(mktemp ~/.ssh/ssh-copy-id_id.XXXXXXXXXX) if test $? -ne 0 || test "x$L_TMP_ID_FILE" = "x" ; then printf '%s: ERROR: mktemp failed\n' "$0" >&2 exit 1 fi local L_CLEANUP="rm -f \"$L_TMP_ID_FILE\" \"${L_TMP_ID_FILE}.stderr\"" trap "$L_CLEANUP" EXIT TERM INT QUIT printf '%s: INFO: attempting to log in with the new key(s), to filter out any that are already installed\n' "$0" >&2 NEW_IDS=$( eval $GET_ID | { while read ID || [ "$ID" ] ; do printf '%s\n' "$ID" > "$L_TMP_ID_FILE" # the next line assumes $PRIV_ID_FILE only set if using a single id file - this # assumption will break if we implement the possibility of multiple -i options. # The point being that if file based, ssh needs the private key, which it cannot # find if only given the contents of the .pub file in an unrelated tmpfile ssh -i "${PRIV_ID_FILE:-$L_TMP_ID_FILE}" \ -o ControlPath=none \ -o LogLevel=INFO \ -o PreferredAuthentications=publickey \ -o IdentitiesOnly=yes "$@" exit 2>"$L_TMP_ID_FILE.stderr" </dev/null if [ "$?" = "$L_SUCCESS" ] ; then : > "$L_TMP_ID_FILE" else grep 'Permission denied' "$L_TMP_ID_FILE.stderr" >/dev/null || { sed -e 's/^/ERROR: /' <"$L_TMP_ID_FILE.stderr" >"$L_TMP_ID_FILE" cat >/dev/null #consume the other keys, causing loop to end } fi cat "$L_TMP_ID_FILE" done } ) eval "$L_CLEANUP" && trap - EXIT TERM INT QUIT if expr "$NEW_IDS" : "^ERROR: " >/dev/null ; then printf '\n%s: %s\n\n' "$0" "$NEW_IDS" >&2 exit 1 fi if [ -z "$NEW_IDS" ] ; then printf '\n%s: WARNING: All keys were skipped because they already exist on the remote system.\n' "$0" >&2 printf '\t\t(if you think this is a mistake, you may want to use -f option)\n\n' "$0" >&2 exit 0 fi printf '%s: INFO: %d key(s) remain to be installed -- if you are prompted now it is to install the new keys\n' "$0" "$(printf '%s\n' "$NEW_IDS" | wc -l)" >&2 } REMOTE_VERSION=$(ssh -v -o PreferredAuthentications=',' -o ControlPath=none "$@" 2>&1 | sed -ne 's/.*remote software version //p') case "$REMOTE_VERSION" in NetScreen*) populate_new_ids 1 for KEY in $(printf "%s" "$NEW_IDS" | cut -d' ' -f2) ; do KEY_NO=$(($KEY_NO + 1)) printf "%s\n" "$KEY" | grep ssh-dss >/dev/null || { printf '%s: WARNING: Non-dsa key (#%d) skipped (NetScreen only supports DSA keys)\n' "$0" "$KEY_NO" >&2 continue } [ "$DRY_RUN" ] || printf 'set ssh pka-dsa key %s\nsave\nexit\n' "$KEY" | ssh -T "$@" >/dev/null 2>&1 if [ $? = 255 ] ; then printf '%s: ERROR: installation of key #%d failed (please report a bug describing what caused this, so that we can make this message useful)\n' "$0" "$KEY_NO" >&2 else ADDED=$(($ADDED + 1)) fi done if [ -z "$ADDED" ] ; then exit 1 fi ;; *) # Assuming that the remote host treats ~/.ssh/authorized_keys as one might expect populate_new_ids 0 # in ssh below - to defend against quirky remote shells: use 'exec sh -c' to get POSIX; 'cd' to be at $HOME; and all on one line, because tcsh. [ "$DRY_RUN" ] || printf '%s\n' "$NEW_IDS" | \ ssh "$@" "exec sh -c 'cd ; umask 077 ; mkdir -p .ssh && cat >> .ssh/authorized_keys || exit 1 ; if type restorecon >/dev/null 2>&1 ; then restorecon -F .ssh .ssh/authorized_keys ; fi'" \ || exit 1 ADDED=$(printf '%s\n' "$NEW_IDS" | wc -l) ;; esac if [ "$DRY_RUN" ] ; then cat <<-EOF =-=-=-=-=-=-=-= Would have added the following key(s): $NEW_IDS =-=-=-=-=-=-=-= EOF else cat <<-EOF Number of key(s) added: $ADDED Now try logging into the machine, with: "ssh $SSH_OPTS" and check to make sure that only the key(s) you wanted were added. EOF fi # =-=-=-=